
# Resizable borderless forms


## How to add to your program...

### Option 1.

Copy the Form.class file into your projects .src folder\
That will enable the listed properties below in **any** of your projects Forms

### Option 2.
Copy the code from the OBS_MouseDown() and OBS_MouseMove() events in the Form.class to your project form class as Form_MouseDown and Form_MouseMove respectively.\
Then add the required variables and set them accordingly.
* Private $bBorderless As Boolean = True
* Private $bMouseMovable As Boolean
* Private $iHandleSize As Integer
* Private $iMinH As Integer
* Private $iMinW As Integer

The following object must also be added...
* Private $hORect As Rect

Examine Form.class for other used methods you may want.

## Properties available...

Property Borderless As Boolean
* Get or set if the window will be resizable but without a border/titlebar

Property MouseMovable As Boolean
* Get or set if the form can be moved by pressing inside the HandleSize area. Any drag of the 'from' area, not it's children.
<p>For example if Padding is 4 and HandleSize is 2 then the outside 2 pixels will resize and the next 2 in will move</p> 

Property MinW, MinWidth As Integer
Property MinH, MinHeight As Integer
Latest gambas already has these properties but older gambas does not.

Property HandleSize As Integer
* Get or set the size of the edges used for resizing, if not set it will be Form.Padding-1
